This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 114243 - Cups starts with errors
Cups starts with errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 07:44 EST by Paolo Prandini
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-25 14:21:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Prandini 2004-01-25 07:44:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
Cups doen not start at boot even if setup to.
Cups starts manually with /etc/init.d/cups start,
but with errors.



Version-Release number of selected component (if applicable):
cups-libs-1.1.19-13
cups-1.1.19-13

How reproducible:
Always

Steps to Reproduce:
1. Start PC
2. Login as usual 
3. Open a Root Terminal
4. cd /etc/init.d
5. ./cups start
    

Actual Results:  Cups starts with errors (look additional infos)
This could prevent cups to start at boot time.

Expected Results:  Cups starts with no error

Additional info:

[root@localhost init.d]# ./cups start
Starting cups: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 52, in ?
    which = cups_import.which_spooler ()
  File "/usr/share/printconf/util/cups_import.py", line 191, in
which_spooler
    which = l.split ('.')[1].strip ()
IndexError: list index out of range
Comment 1 Tim Waugh 2004-01-25 08:32:27 EST
What does '/usr/sbin/alternatives --display print' say?
Comment 2 Paolo Prandini 2004-01-25 14:18:31 EST
Here is the output of the command.
[root@localhost root]# /usr/sbin/alternatives --display print
print - status is auto.
 link currently points to /usr/local/linuxprinter/bin/llpr
/usr/bin/lpr.cups - priority 40
 slave print-cancel: /usr/bin/cancel.cups
 slave print-lp: /usr/bin/lp.cups
 slave print-lpq: /usr/bin/lpq.cups
 slave print-lprm: /usr/bin/lprm.cups
 slave print-lpstat: /usr/bin/lpstat.cups
 slave print-lpc: /usr/sbin/lpc.cups
 slave print-cancelman: /usr/share/man/man1/cancel-cups.1.gz
 slave print-lpman: /usr/share/man/man1/lp-cups.1.gz
 slave print-lpqman: /usr/share/man/man1/lpq-cups.1.gz
 slave print-lprman: /usr/share/man/man1/lpr-cups.1.gz
 slave print-lprmman: /usr/share/man/man1/lprm-cups.1.gz
 slave print-lpstatman: /usr/share/man/man1/lpstat-cups.1.gz
 slave print-lpcman: /usr/share/man/man8/lpc-cups.8.gz
/usr/local/linuxprinter/bin/llpr - priority 90
 slave print-cancel: /usr/bin/cancel.cups
 slave print-lp: /usr/local/linuxprinter/bin/llpr
 slave print-lpq: /usr/bin/lpq.cups
 slave print-lprm: /usr/bin/lprm.cups
 slave print-lpstat: /usr/bin/lpstat.cups
 slave print-lpc: /usr/sbin/lpc.cups
 slave print-cancelman: /usr/share/man/man1/cancel-cups.1.gz
 slave print-lpman: /usr/share/man/man1/lp-cups.1.gz
 slave print-lpqman: /usr/share/man/man1/lpq-cups.1.gz
 slave print-lprman: /usr/share/man/man1/lpr-cups.1.gz
 slave print-lprmman: /usr/share/man/man1/lprm-cups.1.gz
 slave print-lpstatman: /usr/share/man/man1/lpstat-cups.1.gz
 slave print-lpcman: /usr/share/man/man8/lpc-cups.8.gz
Current `best' version is /usr/local/linuxprinter/bin/llpr.

Best Regards
- Paolo
Comment 3 Tim Waugh 2004-01-25 14:21:28 EST
> Current `best' version is /usr/local/linuxprinter/bin/llpr.

You cannot use redhat-config-printer with any spooler other than CUPS.
Comment 4 Paolo Prandini 2004-01-25 14:31:52 EST
Hi thanks. 

I have installed the Samsung 1510 printer drivers (PPD) that use CUPS
1.1 or above, do you think this has mssed up something ? Anyway
printer works fine after I start Cups manually.
What Cups has to deal with redhat-config-printer ?

- Best Regards
- Paolo
Comment 5 Tim Waugh 2004-01-25 17:15:32 EST
Your 'lpr' is not CUPS, but /usr/local/linuxprinter/bin/llpr (whatever
that is).

Note You need to log in before you can comment on or make changes to this bug.